/*
 * dvbvuplus.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: dvbvuplus.c $
 */

#include <vdr/plugin.h>
#include "dvbhddevice.h"

static const char *VERSION        = "0.0.1";
static const char *DESCRIPTION    = "VU+ DVB device";

class cPluginDvbvuplus : public cPlugin {
private:
  cDvbHdDeviceProbe *probe;
public:
  cPluginDvbvuplus(void);
  virtual ~cPluginDvbvuplus();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  };

cPluginDvbvuplus::cPluginDvbvuplus(void)
{
  probe = new cDvbHdDeviceProbe;
}

cPluginDvbvuplus::~cPluginDvbvuplus()
{
  delete probe;
}

VDRPLUGINCREATOR(cPluginDvbvuplus); // Don't touch this!
