SUMMARY = "VDR remote plugin"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=892f569a555ba9c07a568a7c0c4fa63a"
COMPATIBLE_MACHINE = "vusolose"

SRC_URI += " \
	file://COPYING \
	file://Makefile \
	file://remote.c \
        file://remote.h \
        file://i18n.c \
        file://i18n.h \
        file://remotetcp.c \
        file://remotetcp.h \
        file://ttystatus.c \
        file://ttystatus.h \
	file://po/de_DE.po \
"

PV = "0.5.0"

S = "${WORKDIR}"

ASNEEDED = ""

DEPENDS = " \
	vdr \
"

EXTRA_OEMAKE = ' \
	SDKSTAGE="${STAGING_DIR_HOST}" \
'

do_install() {
	oe_runmake DESTDIR=${D} install
}

FILES_${PN} += " \
	${libdir}/vdr \
"

FILES_${PN}-dbg += " \
	${libdir}/vdr/.debug/* \
"

